Insider Trades
Search
Same filter model as the in-app search. Returns a cursor page of trades. Use nextCursor with the same filter to fetch the next page. Filter field reference: Filters guide. Resolve owner names with Insiders → Search first when you need a CIK.
POST
/
api
/
v1
/
search
Search
curl --request POST \
--url https://www.ceowatcher.com/api/v1/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filter": {},
"pagination": {
"cursor": null,
"pageSize": 100
}
}
'import requests
url = "https://www.ceowatcher.com/api/v1/search"
payload = {
"filter": {},
"pagination": {
"cursor": None,
"pageSize": 100
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({filter: {}, pagination: {cursor: null, pageSize: 100}})
};
fetch('https://www.ceowatcher.com/api/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"accessionNumber": "<string>",
"transactionId": 123,
"percentChange": 123,
"securityTitle": "<string>",
"isAggregated": true,
"sharesOwnedFollowingTransaction": 123,
"code": "<string>",
"simpleIndustryId": 123,
"name": "<string>",
"companyName": "<string>",
"companyId": 123,
"tradingItemId": 123,
"issuerCik": "<string>",
"reportingOwnerCik": "<string>",
"tickerSymbol": "<string>",
"transactionDate": "<string>",
"filedAt": "<string>",
"acquiredDisposedCode": "<string>",
"numberOfShares": 123,
"transactionValue": 123,
"latestReturn": 123,
"latestReturnDate": "<string>",
"isDerivative": true,
"footnote": "<string>",
"isEspp": true,
"isPurchaseAgreement": true,
"isPublicOffering": true,
"isPrivatePlacement": true,
"isDividendReinvestment": true,
"is10b51": true,
"isForTaxes": true,
"isMarketTransaction": true,
"insiderAvgReturn": 123,
"insiderAvgReturnBullish": 123,
"insiderAvgReturnBearish": 123,
"insiderAvg1wReturn": 123,
"insiderAvg1wReturnBullish": 123,
"insiderAvg1wReturnBearish": 123,
"insiderAvg1mReturn": 123,
"insiderAvg1mReturnBullish": 123,
"insiderAvg1mReturnBearish": 123,
"insiderAvg3mReturn": 123,
"insiderAvg3mReturnBullish": 123,
"insiderAvg3mReturnBearish": 123,
"insiderAvg6mReturn": 123,
"insiderAvg6mReturnBullish": 123,
"insiderAvg6mReturnBearish": 123,
"insiderAvg1yReturn": 123,
"insiderAvg1yReturnBullish": 123,
"insiderAvg1yReturnBearish": 123,
"insiderAvg2yReturn": 123,
"insiderAvg2yReturnBullish": 123,
"insiderAvg2yReturnBearish": 123,
"tradeReturn": 123,
"tradeReturn1w": 123,
"tradeReturn1m": 123,
"tradeReturn3m": 123,
"tradeReturn6m": 123,
"tradeReturn1y": 123,
"tradeReturn2y": 123,
"isAnomalousTransaction": true,
"isClusterTrade90d": true,
"clusterNumTrades90d": 123,
"clusterInsiderCount90d": 123,
"insiderPositiveTrades": 123,
"insiderTotalTrades": 123,
"insiderWinRateAll": 123,
"avg1mReturn": 123,
"avg3mReturn": 123,
"avg6mReturn": 123,
"avg1yReturn": 123,
"avg2yReturn": 123,
"avgReturn": 123,
"avg1mReturnBullish": 123,
"avg1mReturnBearish": 123,
"avg3mReturnBullish": 123,
"avg3mReturnBearish": 123,
"data": "<unknown>"
}
],
"nextCursor": "<string>",
"prevCursor": "<string>",
"hasMore": true
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>"
}Authorizations
Key from the Developer page. Send Authorization: Bearer cw_....
Query Parameters
Optional. Vercel Protection Bypass for Automation — use when calling the Staging server.
Body
application/json
⌘I
Search
